PROPKA3(1)

NAME
propka3 - predict pKa values of ionizable groups

DESCRIPTION
usage: propka3 [-h] [-f FILENAMES] [-r REFERENCE] [-c CHAINS]

    [-i TITRATE_ONLY] [-t THERMOPHILES] [-a ALIGNMENT] [-m MUTATIONS] [--version] [-p PARAMETERS] [--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL}] [-o PH] [-w WINDOW WINDOW WINDOW] [-g GRID GRID GRID] [--mutator MUTATOR] [--mutator-option MUTATOR_OPTIONS] [-d] [-l] [-k] [-q] [--protonate-all] input_pdb

PROPKA predicts the pKa values of ionizable groups in proteins and proteinligand complexes based in the 3D structure

  positional arguments:

input_pdb
    read data from <filename>

  options:

-h, --help
    show this help message and exit

-f FILENAMES, --file FILENAMES
    read data from <filename>, i.e. <filename> is added to arguments (default: [])

-r REFERENCE, --reference REFERENCE
    setting which reference to use for stability calculations [neutral/low-pH] (default: neutral)

-c CHAINS, --chain CHAINS
    creating the protein with only a specified chain. Specify " " for chains without ID [all] (default: None)

-i TITRATE_ONLY, --titrate_only TITRATE_ONLY
    Treat only the specified residues as titratable. Value should be a comma-separated list of "chain:resnum" values; for example: -i "A:10,A:11" (default: None)

-t THERMOPHILES, --thermophile THERMOPHILES
    defining a thermophile filename; usually used in 'alignment-mutations' (default: None)

-a ALIGNMENT, --alignment ALIGNMENT
    alignment file connecting <filename> and <thermophile> [<thermophile>.pir] (default: None)

-m MUTATIONS, --mutation MUTATIONS
    specifying mutation labels which is used to modify <filename> according to, e.g. N25R/N181D (default: None)

--version
    show program's version number and exit

-p PARAMETERS, --parameters PARAMETERS
    set the parameter file (default: /build/propkaEJBKYq/propka-3.5.1/propka/propka.cfg)

--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL}
    logging level verbosity (default: INFO)

-o PH, --pH PH
    setting pH-value used in e.g. stability calculations [7.0] (default: 7.0)

-w WINDOW WINDOW WINDOW, --window WINDOW WINDOW WINDOW
    setting the pH-window to show e.g. stability profiles [0.0, 14.0, 1.0] (default: (0.0, 14.0, 1.0))

-g GRID GRID GRID, --grid GRID GRID GRID
    setting the pH-grid to calculate e.g. stability related properties [0.0, 14.0, 0.1] (default: (0.0, 14.0, 0.1))

--mutator MUTATOR
    setting approach for mutating <filename> [alignment/scwrl/jackal] (default: None)

--mutator-option MUTATOR_OPTIONS
    setting property for mutator [e.g. type="side-chain"] (default: None)

-d, --display-coupled-residues
    Displays alternative pKa values due to coupling of titratable groups (default: False)

-l, --reuse-ligand-mol2-files
    Reuses the ligand mol2 files allowing the user to alter ligand bond orders (default: False)

-k, --keep-protons
    Keep protons in input file (default: False)

-q, --quiet
    suppress non-warning messages (default: None)

--protonate-all
    Protonate all atoms (will not influence pKa calculation) (default: False)